#!/bin/bash
# {{ ansible_managed }}
#
# Create a backup of matomo data
#

CURRENT_DATE=$(date +"%Y%m%d%H%M")
BACKUP_DIR={{ search_index_data_backup_directory }}

date +"*** %Y-%m-%d %H:%M:%S Creating backup of matomo data"
mariadb-dump --defaults-extra-file={{ base_dir }}/conf/matomo_db.cnf --databases {{ matomo_dbname }} > "${BACKUP_DIR}/${CURRENT_DATE}_matomo.sql"
cp {{ matomo_inst_dir }}/matomo/config/config.ini.php "${BACKUP_DIR}/${CURRENT_DATE}_matomo_config.ini.php"
cp -r {{ matomo_inst_dir }}/matomo/plugins "${BACKUP_DIR}/${CURRENT_DATE}_matomo_plugins"

date +"*** %Y-%m-%d %H:%M:%S Compress matomo data backup"
cd ${BACKUP_DIR}
tar czf backup_${CURRENT_DATE}_matomo.tar.gz --remove-files ${CURRENT_DATE}_matomo*

date +"*** %Y-%m-%d %H:%M:%S Matomo data backup finished"
